/purchase-resolve-blockchain-identifier
Resolves a purchase request by its blockchain identifier.
Authorization
API-Key token<token>
API key authentication via header (token)
In: header
Request Body
application/json
Response Body
application/json
curl -X POST "https://loading/./../api/v1/purchase/resolve-blockchain-identifier" \ -H "Content-Type: application/json" \ -d '{ "blockchainIdentifier": "blockchain_identifier", "network": "Preprod", "includeHistory": "false" }'{
"status": "success",
"data": {
"id": "cuid_v2_auto_generated",
"createdAt": "1970-01-20T20:00:36.260Z",
"updatedAt": "1970-01-20T20:00:36.260Z",
"blockchainIdentifier": "blockchain_identifier",
"lastCheckedAt": null,
"payByTime": null,
"submitResultTime": "0",
"unlockTime": "0",
"externalDisputeUnlockTime": "0",
"requestedById": "requester_id",
"onChainState": null,
"collateralReturnLovelace": null,
"cooldownTime": 0,
"cooldownTimeOtherParty": 0,
"inputHash": "input_hash",
"resultHash": "",
"NextAction": {
"inputHash": "input_hash",
"requestedAction": "FundsLockingRequested",
"errorType": null,
"errorNote": null
},
"CurrentTransaction": null,
"TransactionHistory": [],
"PaidFunds": [
{
"amount": "10000000",
"unit": ""
}
],
"PaymentSource": {
"id": "payment_source_id",
"network": "Preprod",
"smartContractAddress": "address",
"policyId": "policy_id",
"paymentType": "Web3CardanoV1"
},
"SellerWallet": null,
"SmartContractWallet": null,
"metadata": null,
"WithdrawnForSeller": [],
"WithdrawnForBuyer": []
}
}Empty
Empty
Empty
Empty



